;===================================================================;
;                                                                   ;
; Centipede                                                         ;
; Help screen                                                       ;
;                                                                   ;
;===================================================================;

;------------------------------------------------
; helpScreen - show the game controls
;
; input:    none
; output:   none
;------------------------------------------------
helpScreen:
        bcall(_grbufclr)
        ld      hl,strHelp                      ; HL => start of text data
        ld      de,0*256+1
        call    putVText
        ld      de,6*256+5
        call    putVText
        ld      de,12*256+5
        call    putVText
        ld      de,18*256+5
        call    putVText
        ld      de,24*256+5
        call    putVText
        ld      de,32*256+1
        call    putVText
        ld      de,38*256+5
        call    putVText
        ld      de,44*256+5
        call    putVText
        ld      de,50*256+5
        call    putVText
        call    showVideo
        bcall(_getcsc)                          ; clear key press buffer
        call    waitKey
        jp      startTitleScreen                ; return to title screen

.end
